{
  "compilerOptions": {
    "target": "ESNext",
    "useDefineForClassFields": true,
    "lib": [
      "DOM",
      "DOM.Iterable",
      "ESNext"
    ],
    "allowJs": false,
    "skipLibCheck": true,
    "esModuleInterop": false,
    "allowSyntheticDefaultImports": true,
    "strict": false,
    "forceConsistentCasingInFileNames": true,
    "module": "ESNext",
    "moduleResolution": "Node",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "declaration": true,
    "typeRoots": [
      "./build/index.d.ts"
    ],
    "declarationDir": "./build",
    "types": [
      "node",
      "vite/client"
    ],
    "baseUrl": "./src",
  },
  "include": [
    "src",
    "./index.ts"
  ],
  "exclude": [
    "build",
    "config",
    "node_modules"
  ],
  "references": [
    {
      "path": "./tsconfig.vite.json"
    }
  ]
}